package oclib

type DatacenterMongoAccessor struct{}

func (dca *DatacenterMongoAccessor) StoreOne(datacenter Datacenter) string {
    id, err := StoreOne(datacenter, "datacenter")
    if err != nil {
        l := CreateLogger("oclib", "")
        l.Error().Msg("Could not store " + datacenter.Name + " to db. Error: " + err.Error())
        return ""
    }
    return id
}

func (dca *DatacenterMongoAccessor) LoadOne(id string) Datacenter {
    var datacenter Datacenter

    res_mongo, err := LoadOne(id, "datacenter")
    if err != nil {
        l := CreateLogger("oclib", "")
        l.Error().Msg("Could not retrieve " + id + " from db. Error: " + err.Error())
        return Datacenter{}
    }

    res_mongo.Decode(&datacenter)

    return datacenter
}
