package oclib

import (
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestStoreOneProcessing(t *testing.T){
	p := Processing{ Container: "totoCont", 
				AbstractResource: AbstractResource{
					Uuid: "123",
					Name: "testData",
					Description: "Lorem Ipsum",
					Logo : "azerty.com",
					Owner: "toto",
					OwnerLogo: "totoLogo",
					SourceUrl: "azerty.fr",
				},
			}

	sma := ProcessingMongoAccessor{}
	id := sma.StoreOne(p)

	assert.NotEmpty(t, id)
}

func TestLoadOneProcessing(t *testing.T){
	p := Processing{ Container: "totoCont", 
				AbstractResource: AbstractResource{
					Uuid: "123",
					Name: "testData",
					Description: "Lorem Ipsum",
					Logo : "azerty.com",
					Owner: "toto",
					OwnerLogo: "totoLogo",
					SourceUrl: "azerty.fr",
				},
			}

	
	sma := ProcessingMongoAccessor{}
	id := sma.StoreOne(p)
	new_s := sma.LoadOne(id)

	assert.Equal(t,p, new_s)
}